<template>
  <div class="app__container">
    <div class="bg-background2">
      <SharedIndependentModuleRenderer>
        <game-entry v-if="themeColor.Text === 'bk8_green'" />
        <div
          v-else-if="
            productCategory.Text === 'Provider_type_virtual_sports_1' ||
            !allowCompany
          "
          class="horizontal-game-entry-list grid grid-cols-3 gap-2 p-2"
        >
          <LazyNewBlackThemeMGameListEntry />
        </div>
        <div
          v-else-if="productCategory.Text === 'Provider_type_virtual_sports_2'"
        >
          <LazyThemeMobileMainComponentsProductCategoryList />
        </div>
      </SharedIndependentModuleRenderer>
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent, ref } from "vue";
import { store } from "@/store";
import { IThemePropertiesFromApi } from "~~/models/companyThemePropertiesRespone";

export default defineComponent({
  name: "VirtualSport",
  setup() {
    const { themeColor, getSingleThemeProperty } = themePropertyHelper;
    const { allowCompany } = commonHelper;
    const hasBanner = ref(false);
    const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
    const productCategory = computed(
      (): IThemePropertiesFromApi =>
        getSingleThemeProperty(
          store.state.companyThemePropertiesFromApi.ThemeProperties,
          "product_category_virtual_sports_page"
        )
    );
    return {
      hasBanner,
      themeProperties,
      themeColor,
      productCategory,
      allowCompany,
    };
  },
});
</script>

<style lang="scss">
[layout="playful"] {
  .horizontal-game-entry-list {
    padding-left: 8px;
    padding-right: 8px;

    // > div {
    //   width: calc(33.3333333333% - 0.34rem);
    // }
  }
}
</style>
